org.apache.ignite.internal.binary

## Class BinarySerializedFieldComparator

- java.lang.Object
- - org.apache.ignite.internal.binary.BinarySerializedFieldComparator

    public class BinarySerializedFieldComparator
    extends Object

Compares fiels in serialized form when possible.

### Constructor Summary

Constructors
Constructor and Description
`BinarySerializedFieldComparator(BinaryObjectExImpl obj, byte[] arr, long ptr, int startOff, int orderBase, int orderMultiplier, int fieldOffLen)` Constructor.

### Method Summary

Methods
`static boolean` `equals(BinarySerializedFieldComparator c1, BinarySerializedFieldComparator c2)` Compare fields.
`void` `findField(int order)` Locate the field.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinarySerializedFieldComparator

    public BinarySerializedFieldComparator(BinaryObjectExImpl obj,
                                   byte[] arr,
                                   long ptr,
                                   int startOff,
                                   int orderBase,
                                   int orderMultiplier,
                                   int fieldOffLen)

Constructor.

Parameters:
  `obj` - Original object.
  `arr` - Array.
  `ptr` - Pointer.
  `startOff` - Start offset.
  `orderBase` - Order base.
  `orderMultiplier` - Order multiplier.
  `fieldOffLen` - Field offset length.

### Method Detail

#### findField

    public void findField(int order)

Locate the field.

Parameters:
  `order` - Field order.

#### equals

    public static boolean equals(BinarySerializedFieldComparator c1,
                 BinarySerializedFieldComparator c2)

Compare fields.

Parameters:
  `c1` - First comparer.
  `c2` - Second comparer.
Returns:
  `True` if both fields are equal.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016